pappso::TimsData::SpectrumDescr Struct Reference

`#include <timsdata.h>`

## Public Attributes

std::size_t | parent_frame = 0
std::size_t | precursor_id = 0
std::size_t | scan_mobility_start = 0
std::size_t | scan_mobility_end = 0
std::size_t | ms1_index = 0
std::size_t | ms2_index = 0
double | isolationMz = 0
double | isolationWidth = 0
float | collisionEnergy = 0
std::vector< std::size_t > | tims_frame_list
PrecursorIonData | precursor_ion_data

## Detailed Description

Definition at line 114 of file timsdata.h.

## Member Data Documentation

## collisionEnergy

float pappso::TimsData::SpectrumDescr::collisionEnergy = 0

Definition at line 124 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsData::rawReaderSpectrumCollectionByMsLevel().

## isolationMz

double pappso::TimsData::SpectrumDescr::isolationMz = 0

Definition at line 122 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsData::rawReaderSpectrumCollectionByMsLevel().

## isolationWidth

double pappso::TimsData::SpectrumDescr::isolationWidth = 0

Definition at line 123 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsData::rawReaderSpectrumCollectionByMsLevel().

## ms1_index

std::size_t pappso::TimsData::SpectrumDescr::ms1_index = 0

Definition at line 120 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs1MassSpectrumByPrecursorId(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), and pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel().

## ms2_index

std::size_t pappso::TimsData::SpectrumDescr::ms2_index = 0

Definition at line 121 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs1MassSpectrumByPrecursorId(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel(), pappso::TimsMsRunReaderMs2::qualifiedMassSpectrum(), and pappso::TimsMsRunReaderMs2Selected::qualifiedMassSpectrum().

## parent_frame

std::size_t pappso::TimsData::SpectrumDescr::parent_frame = 0

Definition at line 116 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs1MassSpectrumByPrecursorId(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsData::rawReaderSpectrumCollectionByMsLevel().

## precursor_id

std::size_t pappso::TimsData::SpectrumDescr::precursor_id = 0

Definition at line 117 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs1MassSpectrumByPrecursorId(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsData::rawReaderSpectrumCollectionByMsLevel().

## precursor_ion_data

PrecursorIonData pappso::TimsData::SpectrumDescr::precursor_ion_data

Definition at line 126 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsData::rawReaderSpectrumCollectionByMsLevel().

## scan_mobility_end

std::size_t pappso::TimsData::SpectrumDescr::scan_mobility_end = 0

Definition at line 119 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs1MassSpectrumByPrecursorId(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsData::rawReaderSpectrumCollectionByMsLevel().

## scan_mobility_start

std::size_t pappso::TimsData::SpectrumDescr::scan_mobility_start = 0

Definition at line 118 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs1MassSpectrumByPrecursorId(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsData::rawReaderSpectrumCollectionByMsLevel().

## tims_frame_list

std::vector<std::size_t> pappso::TimsData::SpectrumDescr::tims_frame_list

Definition at line 125 of file timsdata.h.

Referenced by pappso::TimsData::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsData::getQualifiedMs2MassSpectrumByPrecursorId(), pappso::TimsData::getSpectrumDescrWithPrecursorId(), pappso::TimsData::getSpectrumDescrWithScanCoordinate(), and pappso::TimsData::ms2ReaderSpectrumCollectionByMsLevel().

The documentation for this struct was generated from the following file:

- pappsomspp/vendors/tims/timsdata.h